Templated utility classes
Classes and functions used to implement this library

## Classes

class | FieldTraits< Data_T >

## Functions

template<class Iter_T>
void | advance (Iter_T &iter, int num)
template<class Iter_T>
void | advance (Iter_T &iter, int num, const Iter_T &end)

## Detailed Description

## Function Documentation

## advance() [1/2]

template<class Iter_T>

void advance | ( | Iter_T & | iter,
|  | int | num )

Definition at line 1161 of file Field.h.

{
if (num <= 0) {
return;
}
for (int i=0; i<num; ++i, ++iter) {
// Empty
}
}

## advance() [2/2]

template<class Iter_T>

void advance | ( | Iter_T & | iter,
|  | int | num,
|  | const Iter_T & | end )

Definition at line 1175 of file Field.h.

{
if (num <= 0) {
return;
}
for (int i=0; i<num && iter != end; ++i, ++iter) {
// Empty
}
}